getProbeData_1lq {matchprobes} | R Documentation

## Read a 1lq file for an Affymetrix genechip

### Description

Read a 1lq file for an Affymetrix genechip

### Usage

    getProbeData_1lq(arraytype, datafile, pkgname = NULL)

### Arguments

`arraytype` | Character. Array type (e.g. 'Scerevisiaetiling)
`datafile` | Character. The filename of the input data file. If omitted a default name is constructed from `arraytype` (see this function's source code).
`pkgname` | Character. Package name. If NULL the name is derived from `arraytype`.

### Details

This function serves as an interface between the (1) representation of array probe information data in the packages that are generated by `makeProbePackage` and (2) the vendor- and possibly version-specific way the data are represented in `datafile`.

### Value

A list with three components

`dataEnv` | an environment which contains the data frame with the probe sequences and the other probe data.
`symVal` | a named list of symbol value substitutions which can be used to customize the man pages. See `createPackage`.
`pkgname` | a character with the package name; will be the same as the function parameter `pkgname` if it was specified; otherwise, the name is constructed from the parameter `arraytype`.

normal-bracket29bracket-normal

### See Also

makeProbePackage

### Examples

    ## makeProbePackage(
    ##    arraytype = "Scerevisiaetiling",
    ##    maintainer= "Wolfgang Huber <huber@ebi.ac.uk>",
    ##    version   = "1.1.0",
    ##    datafile  = "S.cerevisiae_tiling.1lq",
    ##    importfun = "getProbeData_1lq")

[Package matchprobes version 1.8.1 Index]